package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class DateMidnightTest
{
	//------------------------ EAM ----------------------------------------------------------------------------------
/*	public String test1(){
		DateMidnight dm = new DateMidnight(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 2, 01, 8, 10, 10, 90));
		DateMidnight.Property p = new DateMidnight.Property(dm, ISOChronology.getInstanceUTC().dayOfMonth());
		return p.withMaximumValue().toString();
	}
	public String test2(){
		DateMidnight dm = new DateMidnight(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateMidnight.Property p = new DateMidnight.Property(dm, ISOChronology.getInstanceUTC().year());
		return p.withMinimumValue().toString();
	}
	
	//------------------------ EAM ----------------------------------------------------------------------------------

	//------------------------ IOD ----------------------------------------------------------------------------------
	public long test3(){
		DateMidnight dm = new DateMidnight(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		
		return dm.checkInstant(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90), BuddhistChronology.getInstanceUTC());
	}
	//------------------------ IOD ----------------------------------------------------------------------------------

	//------------------------ IPC ----------------------------------------------------------------------------------
	public int test4(){
		DateMidnight dm = new DateMidnight(BuddhistChronology.getInstanceUTC());
		return dm.getYear();
	}*/
	public long test5(){
		DateMidnight dm = new DateMidnight(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789), DateTimeZone.getDefault());
		return dm.getMillis();
	}
	public long test6(){
		DateMidnight dm = new DateMidnight(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		DateMidnight dm1 = new DateMidnight(dm);
		return dm1.getMillis();
	}
/*	public long test7(){
		DateMidnight dm = new DateMidnight(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		DateMidnight dm1 = new DateMidnight(dm, DateTimeZone.getDefault());
		return dm1.getMillis();
	}
	public long test8(){
		DateMidnight dm = new DateMidnight(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		DateMidnight dm1 = new DateMidnight(dm, ISOChronology.getInstanceUTC());
		return dm1.getMillis();
	}
	public long test9(){
		DateMidnight dm = new DateMidnight(2000, 10, 2);
		return dm.getMillis();
	}
	public long test10(){
		DateMidnight dm = new DateMidnight(2000, 10, 2, DateTimeZone.getDefault());
		return dm.getMillis();
	}
	public long test11(){
		DateMidnight dm = new DateMidnight(2000, 10, 2, ISOChronology.getInstanceUTC());
		return dm.getMillis();
	}
	//------------------------ IPC ----------------------------------------------------------------------------------

	//------------------------ PCI ----------------------------------------------------------------------------------
	public String test12(){
		DateMidnight dm = new DateMidnight(2000, 10, 2, BuddhistChronology.getInstanceUTC());
		return dm.property(DateTimeFieldType.monthOfYear()).toString();
	}
	//------------------------ PCI ----------------------------------------------------------------------------------
	//------------------------ JSI ----------------------------------------------------------------------------------
	public String test13(){
		DateMidnight dt = new DateMidnight(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 1, 8, 10, 10, 90));
		DateMidnight dt1 = new DateMidnight(ISOChronology.getInstanceUTC().getDateTimeMillis(2010, 2, 11, 18, 1, 1, 900));
		DateMidnight.Property p = new DateMidnight.Property(dt, ISOChronology.getInstanceUTC().year());
		DateMidnight.Property p1 = new DateMidnight.Property(dt1, ISOChronology.getInstanceUTC().monthOfYear());
		return p.getField().toString();
	}
	public long test14(){
		DateMidnight dt = new DateMidnight(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 1, 8, 10, 10, 90));
		DateMidnight dt1 = new DateMidnight(ISOChronology.getInstanceUTC().getDateTimeMillis(2010, 2, 11, 18, 1, 1, 900));
		DateMidnight.Property p = new DateMidnight.Property(dt, ISOChronology.getInstanceUTC().year());
		DateMidnight.Property p1 = new DateMidnight.Property(dt1, ISOChronology.getInstanceUTC().monthOfYear());
		return p.getMillis();
	}*/
	//------------------------ JSI ----------------------------------------------------------------------------------
}