package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class InstantTest
{
	public String test1(){
		Instant instant = new Instant(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 1, 1, 1, 1, 1));
		return instant.toDateTimeISO().toString();
	}
	
	public String test2(){
		LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), BuddhistChronology.getInstanceUTC());
		Instant instant = new Instant(ld1);
		return instant.toDateTime().toString();
	}
	public String test3(){
		Instant instant = new Instant(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 1, 1, 1, 1, 1));
		return instant.toMutableDateTimeISO().toString();
	}
	public String test4(){
		Instant instant = new Instant(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 1, 1, 1, 1, 1));
		return instant.toMutableDateTime().toString();
	}		
	public String test5(){
		Instant instant = new Instant(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 1, 1, 1, 1, 1));
		return instant.toInstant().toString();
	}
}