package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class PeriodTest
{
	//------------------------  PMD ----------------------------------------------------------------------------------
	public int test1(){
		Period period = Period.ZERO;
		return period.getYears();
	}
	//------------------------  PMD ----------------------------------------------------------------------------------

	//------------------------  EAM ----------------------------------------------------------------------------------
/*	public String test2(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 1, 1, 3, 4, 5, 56);
		Period period = new Period(start, end);
		return period.toStandardWeeks().toString();
	}
	public String test3(){
		Period period = Period.days(8);
		return period.toStandardWeeks().toString();
	}
	public String test4(){
		Period period = new Period(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		return period.toStandardWeeks().toString();
	}
	public String test5(){
		Period period = Period.minutes(12000);
		return period.toStandardWeeks().toString();
	}
	public String test6(){
		Period period = Period.hours(2000);
		return period.toStandardWeeks().toString();
	}
	public String test7(){
		Period period = Period.seconds(720000);
		return period.toStandardWeeks().toString();
	}
	public String test8(){
		Period period = Period.millis(720000000);
		return period.toStandardWeeks().toString();
	}
	public String test9(){
		Period period = Period.millis(90000000);
		return period.toStandardDays().toString();
	}
	public String test10(){
		Period period = Period.seconds(90000);
		return period.toStandardDays().toString();
	}
	public String test11(){
		Period period = Period.hours(250);
		return period.toStandardDays().toString();
	}
	public String test12(){
		Period period = Period.minutes(1500);
		return period.toStandardDays().toString();
	}
	public String test13(){
		Period period = Period.weeks(3);
		return period.toStandardDays().toString();
	}
	public String test14(){
		Period period = Period.days(8);
		return period.toStandardDays().toString();
	}
	public String test15(){
		Period period = Period.millis(9000000);
		return period.toStandardHours().toString();
	}
	public String test16(){
		Period period = Period.seconds(9000);
		return period.toStandardHours().toString();
	}
	public String test17(){
		Period period = Period.hours(25);
		return period.toStandardHours().toString();
	}
	public String test18(){
		Period period = Period.minutes(150);
		return period.toStandardHours().toString();
	}
	public String test19(){
		Period period = Period.weeks(3);
		return period.toStandardHours().toString();
	}
	public String test20(){
		Period period = Period.days(8);
		return period.toStandardHours().toString();
	}
	public String test21(){
		Period period = Period.millis(9000000);
		return period.toStandardMinutes().toString();
	}
	public String test22(){
		Period period = Period.seconds(9000);
		return period.toStandardMinutes().toString();
	}
	public String test23(){
		Period period = Period.hours(25);
		return period.toStandardMinutes().toString();
	}
	public String test24(){
		Period period = Period.minutes(150);
		return period.toStandardMinutes().toString();
	}
	public String test25(){
		Period period = Period.weeks(3);
		return period.toStandardMinutes().toString();
	}
	public String test26(){
		Period period = Period.days(8);
		return period.toStandardMinutes().toString();
	}
	public String test27(){
		Period period = Period.millis(9000000);
		return period.toStandardSeconds().toString();
	}
	public String test28(){
		Period period = Period.seconds(9000);
		return period.toStandardSeconds().toString();
	}
	public String test29(){
		Period period = Period.hours(25);
		return period.toStandardSeconds().toString();
	}
	public String test30(){
		Period period = Period.minutes(150);
		return period.toStandardSeconds().toString();
	}
	public String test31(){
		Period period = Period.weeks(3);
		return period.toStandardSeconds().toString();
	}
	public String test32(){
		Period period = Period.days(8);
		return period.toStandardSeconds().toString();
	}
	public String test33(){
		Period period = Period.millis(9000000);
		return period.toStandardDuration().toString();
	}
	public String test34(){
		Period period = Period.seconds(9000);
		return period.toStandardDuration().toString();
	}
	public String test35(){
		Period period = Period.hours(25);
		return period.toStandardDuration().toString();
	}
	public String test36(){
		Period period = Period.minutes(150);
		return period.toStandardDuration().toString();
	}
	public String test37(){
		Period period = Period.weeks(3);
		return period.toStandardDuration().toString();
	}
	public String test38(){
		Period period = Period.days(8);
		return period.toStandardDuration().toString();
	}
	public String test39(){
		Period period = Period.millis(9000000);
		return period.normalizedStandard(PeriodType.millis()).toString();
	}
	public String test40(){
		Period period = Period.seconds(9000);
		return period.normalizedStandard(PeriodType.millis()).toString();
	}
	public String test41(){
		Period period = Period.hours(25);
		return period.normalizedStandard(PeriodType.millis()).toString();
	}
	public String test42(){
		Period period = Period.minutes(150);
		return period.normalizedStandard(PeriodType.millis()).toString();
	}
	public String test43(){
		Period period = Period.weeks(3);
		return period.normalizedStandard(PeriodType.millis()).toString();
	}
	public String test44(){
		Period period = Period.days(8);
		return period.normalizedStandard(PeriodType.millis()).toString();
	}
	public String test45(){
		Period period = Period.months(8);
		return period.normalizedStandard(PeriodType.millis()).toString();
	}
	public String test46(){
		Period period = Period.years(8);
		return period.normalizedStandard(PeriodType.millis()).toString();
	}*/
	//------------------------  EAM ----------------------------------------------------------------------------------

/*	public static void main(String[] args){
	//	Period period1 = new Period(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
	BasePeriod period = Period.ZERO;
	System.out.println(period.toPeriod());
		System.out.println(DateTimeConstants.MILLIS_PER_WEEK);
		System.out.println(DateTimeConstants.MILLIS_PER_DAY);
		System.out.println(DateTimeConstants.MILLIS_PER_HOUR);
		System.out.println(DateTimeConstants.MILLIS_PER_MINUTE);
		System.out.println(DateTimeConstants.MILLIS_PER_SECOND);
	}*/
}