package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class SecondsTest
{
	//------------------------  EAM ----------------------------------------------------------------------------------
	public String test1(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 1, 1, 3, 4, 5, 6);
		Interval interval = new Interval(start, end);
		return Seconds.secondsIn(interval).toString();
	}
	public String test2(){
		return Seconds.parseSeconds("PT3S").toString();
	}
	public int test3(){
		Seconds seconds = Seconds.seconds(3);
		return seconds.getSeconds();
	}
	//------------------------  EAM ----------------------------------------------------------------------------------
	//------------------------  PCI ----------------------------------------------------------------------------------
	public String test4(){
		Seconds seconds = Seconds.seconds(3);
		LocalTime start = new LocalTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 00), ISOChronology.getInstanceUTC());
		LocalTime end = new LocalTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2001, 10, 01, 00), ISOChronology.getInstanceUTC());
		return seconds.secondsBetween(start, end).toString();
	}
	public String test5(){
		Seconds seconds = Seconds.seconds(3);
		LocalTime start = new LocalTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 00), BuddhistChronology.getInstanceUTC());
		LocalTime end = new LocalTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2001, 10, 01, 00), BuddhistChronology.getInstanceUTC());
		return seconds.secondsBetween(start, end).toString();
	}
	//------------------------  PCI ----------------------------------------------------------------------------------
}