package org.joda.time.format;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class DateTimeFormatterTest
{
	//------------------------ EOC ----------------------------------------------------------------------------------
	//2 EOC mutants are equivalent
/*	public DateTimeFormatter teset1(){
		Locale lc = new Locale("ja", "JP");
		DateTimeZone zone = DateTimeZone.forID("+01:00");
		DateTimeFormatterBuilder dtfb = new DateTimeFormatterBuilder();
		DateTimeFormatter dtf = dtfb.toFormatter();
		return dtf.withZone(zone);
	}
	public DateTimeFormatter teset2(){
		Locale lc = new Locale("ja", "JP");
		DateTimeZone zone = DateTimeZone.forID("+01:00");
		DateTimeFormatterBuilder dtfb = new DateTimeFormatterBuilder();
		DateTimeFormatter dtf = dtfb.toFormatter();
		return dtf.withPivotYear(new Integer(4));
	}*/
	//------------------------ EOC ----------------------------------------------------------------------------------

	//------------------------ OAN ----------------------------------------------------------------------------------
/*	public long teset1(){
		DateTimeFormatter dtf = ISODateTimeFormat.dateParser();
		Locale lc = new Locale("ja", "JP");
		DateTimeFormatter dtf1 = dtf.withLocale(lc);
		return dtf1.parseMillis("2000-10-03T01:00:00.000+01:00");
	}
	public DateTime teset2(){
		//DateTimeFormatterBuilder dtfb = new DateTimeFormatterBuilder();
		//DateTimeFormatter dtf = dtfb.toFormatter();
		DateTimeFormatter dtf = ISODateTimeFormat.dateParser();
		return dtf.parseDateTime("2000-10-03T01:00:00.000+01:00");
	}
	public MutableDateTime teset3(){
		DateTimeFormatter dtf = ISODateTimeFormat.dateParser();
		return dtf.parseMutableDateTime("2000-10-03T01:00:00.000+01:00");
	}
	public long teset4(){
		DateTimeFormatter dtf = ISODateTimeFormat.dateParser();
		return dtf.parseMillis("2000-10-03T01:00:00.000+01:00;fd");
	}*/
	//------------------------ OAN ----------------------------------------------------------------------------------

	//------------------------ PCI ----------------------------------------------------------------------------------
/*	public String teset5(){
		DateTimeFormatter dtf = ISODateTimeFormat.dateParser();
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		dtf.print(mdt);
		return dtf.toString();
	}*/
	public int teset6(){
		DateTimeFormatter dtf = ISODateTimeFormat.dateParser();
		ReadWritableInstant mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		return dtf.parseInto(mdt, "2000-10-03T01:00:00.000+01:00", 2);
	}
	//------------------------ PCI ----------------------------------------------------------------------------------
/*	public static void main(String[] args){
		//DateTimeFormatterBuilder dtfb = new DateTimeFormatterBuilder();	
		DateTimeFormatter dtf = ISODateTimeFormat.dateParser();
		System.out.println(dtf);
		ReadWritableInstant mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		System.out.println(dtf.parseInto(mdt, "2000-10-03T01:00:00.000+01:00", 2));
	}*/
}

