package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class DateTimeTest
{
	//------------------------ EAM ----------------------------------------------------------------------------------
/*	public String test1(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 2, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().dayOfMonth());
		return p.withMaximumValue().toString();
	}
	public String test2(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.withMinimumValue().toString();
	}*/
	//------------------------ EAM ----------------------------------------------------------------------------------

	//------------------------ IPC ----------------------------------------------------------------------------------
/*	public int test3(){
		DateTimeZone zone = DateTimeZone.forID("+01:00");
		DateTime dt = new DateTime(zone);
		return dt.getHourOfDay();
	}
	public int test4(){
		DateTime dt = new DateTime(BuddhistChronology.getInstanceUTC());
		return dt.getYear();
	}
	public long test5(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789), DateTimeZone.getDefault());
		return dt.getMillis();
	}
	public long test6(){
		DateTime dt = new DateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		DateTime dt1 = new DateTime(dt);
		return dt1.getMillis();
	}
	public long test7(){
		DateTime dt = new DateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		DateTime dt1 = new DateTime(dt, DateTimeZone.getDefault());
		return dt1.getMillis();
	}
	public long test8(){
		DateTime dt = new DateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		DateTime dt1 = new DateTime(dt, ISOChronology.getInstanceUTC());
		return dt1.getMillis();
	}
	public long test9(){
		DateTime dt = new DateTime(2000, 10, 02, 3, 34, 56, 789);
		return dt.getMillis();
	}
	public long test10(){
		DateTime dt = new DateTime(2000, 10, 02, 3, 34, 56, 789, DateTimeZone.getDefault());
		return dt.getMillis();
	}
	public long test11(){
		DateTime dt = new DateTime(2000, 10, 02, 3, 34, 56, 789, ISOChronology.getInstanceUTC());
		return dt.getMillis();
	}*/
	//------------------------ IPC ----------------------------------------------------------------------------------
	//------------------------ PCI ----------------------------------------------------------------------------------
/*	public String test12(){
		DateTime dt = new DateTime(2000, 10, 02, 3, 34, 56, 789, ISOChronology.getInstanceUTC());
		return dt.withDate(2001, 2, 4).toString();
	}
	public String test13(){
		DateTime dt = new DateTime(2000, 10, 02, 3, 34, 56, 789, BuddhistChronology.getInstanceUTC());
		return dt.withDate(2001, 2, 4).toString();
	}
	public String test14(){
		DateTime dt = new DateTime(2000, 10, 02, 3, 34, 56, 789, ISOChronology.getInstanceUTC());
		return dt.withTime(15, 25, 44, 789).toString();
	}
	public String test15(){
		DateTime dt = new DateTime(2000, 10, 02, 3, 34, 56, 789, BuddhistChronology.getInstanceUTC());
		return dt.withTime(15, 25, 44, 789).toString();
	}
	public String test16(){
		DateTime dt = new DateTime(2000, 10, 02, 3, 34, 56, 789, BuddhistChronology.getInstanceUTC());
		return dt.property(DateTimeFieldType.monthOfYear()).toString();
	}*/
	/* not used
	public String test19(){
		DateTime dt = new DateTime(2000, 10, 02, 3, 34, 56, 789, BuddhistChronology.getInstanceUTC());
		return dt.property(DateTimeFieldType.hourOfDay()).toString();
	}
	public long test20(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.getMillis();
	}
	public String test21(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.getChronology().toString();
	}
	public String test22(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		long d = 22L;
		return p.addToCopy(d).toString();
	}
	public String test23(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.addWrapFieldToCopy(3).toString();
	}
	public String test24(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.setCopy(3).toString();
	}
	public String test25(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.setCopy("2000-3-2", Locale.US).toString();
	}
	public String test26(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.roundFloorCopy().toString();
	}
	public String test27(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.roundCeilingCopy().toString();
	}
	public String test28(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.roundHalfFloorCopy().toString();
	}
	public String test29(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.roundHalfCeilingCopy().toString();
	}
	public String test30(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		return p.roundHalfEvenCopy().toString();
	}*/
	//------------------------ PCI ----------------------------------------------------------------------------------
	//------------------------ JSI ----------------------------------------------------------------------------------
/*	public String test17(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 1, 8, 10, 10, 90));
		DateTime dt1 = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2010, 2, 11, 18, 1, 1, 900));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		DateTime.Property p1 = new DateTime.Property(dt1, ISOChronology.getInstanceUTC().monthOfYear());
		return p.getField().toString();
	}
	public long test18(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 1, 8, 10, 10, 90));
		DateTime dt1 = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2010, 2, 11, 18, 1, 1, 900));
		DateTime.Property p = new DateTime.Property(dt, ISOChronology.getInstanceUTC().year());
		DateTime.Property p1 = new DateTime.Property(dt1, ISOChronology.getInstanceUTC().monthOfYear());
		return p.getMillis();
	}*/
	//------------------------ JSI ----------------------------------------------------------------------------------
	//------------------------ OMR ----------------------------------------------------------------------------------
/*	public String test19(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 1, 8, 10, 10, 90));
		DateTimeZone zone = DateTimeZone.forID("+01:00");
		return dt.toDateTime(zone).toString();
	}*/
	public String test20(){
		DateTime dt = new DateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 1, 8, 10, 10, 90));
		return dt.toDateTime(BuddhistChronology.getInstanceUTC()).toString();
	}
	//------------------------ OMR ----------------------------------------------------------------------------------
}