package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class IllegalFieldValueExceptionTest
{
	//------------------------ IOD ----------------------------------------------------------------------------------
/*	public String test1(){ // IOD_1 IPC_2 ISD_2 OMR_1 OMR_2 
		IllegalFieldValueException le1 = new IllegalFieldValueException(DateTimeFieldType.dayOfYear(),1,"problem");
		le1.prependMessage("66");
		return le1.getMessage();  
	 }
	//------------------------ IOD ----------------------------------------------------------------------------------

	//------------------------ PRV ----------------------------------------------------------------------------------
	//-------------------------kill mutants for PRV operator ---(ok)- 31, 32 LEFT

	 public Number test2(){ // PRV_4 
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DateTimeFieldType.dayOfYear(),1,2,365);
	   return le1.getLowerBound();  
	 }
	 

	 public Number test3(){ // PRV_5 PRV_6 
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DateTimeFieldType.dayOfYear(),1,2,365);
	   return le1.getUpperBound();  
	 }*/
	 
	 public Number test4(){ // PRV_12
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),1,2,365);
	   return le1.getLowerBound();  
	 }
/*	 
	 public Number test5(){ // PRV_13 PRV_14
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),1,2,365);
	   return le1.getUpperBound();  
	 }
	 
	 public String test6(){ // PRV_16
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),1,2,365);
		IllegalFieldValueException le2 = new IllegalFieldValueException(le1.getFieldName(),1,2,365);
	   return le2.getFieldName();  
	 }

	 public Number test7(){ // PRV_20
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),1,2,365);
		IllegalFieldValueException le2 = new IllegalFieldValueException(le1.getFieldName(),1,2,365);
	   return le2.getLowerBound();  
	 }

	 public Number test8(){ // PRV_21 PRV_22
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),1,2,365);
		IllegalFieldValueException le2 = new IllegalFieldValueException(le1.getFieldName(),1,2,365);
	   return le2.getUpperBound();  
	 }

	 public String test9(){ // PRV_23 PRV_24
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DateTimeFieldType.dayOfYear(),"3");
	   return le1.getIllegalStringValue();  
	 }

	public String test10(){ // PRV_25 PRV_26
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),"1");
	   return le1.getIllegalStringValue();  
	 }
	 
	 public String test11(){ // PRV_28
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),"1");
		IllegalFieldValueException le2 = new IllegalFieldValueException(le1.getFieldName(),"1");
	   return le2.getFieldName();   
	 }

	public String test12(){ // PRV_29 PRV_30
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),1,2,365);
		IllegalFieldValueException le2 = new IllegalFieldValueException(le1.getFieldName(),"2");
	   return le2.getIllegalStringValue();  
	}
	 // for PRV_31 PRV_32, but failed  they are equialent
	/*public String test29(){
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DateTimeFieldType.dayOfYear(),1,null);
		le1.prependMessage("66");
	   return le1.getMessage();  
	}*/
	//------------------------ PRV ----------------------------------------------------------------------------------
	//------------------------ JSI ----------------------------------------------------------------------------------
	//-------------------------kill mutants for JSI1 operator ----(OK)
	// left: 0
	// equialent: 2 
	// kill others:: IPC(1),OMR(2),ISD(1)
/*

	 public String test13(){ // JSI_8 IPC_2 ISD_2 OMR_1 OMR_2
	   IllegalFieldValueException le1 = new IllegalFieldValueException(DateTimeFieldType.dayOfYear(),1,"problem");
		IllegalFieldValueException le2 = new IllegalFieldValueException(DateTimeFieldType.monthOfYear(),2,"problem");
	   return le1.getMessage();  
	 }
	//------------------------ JSI ----------------------------------------------------------------------------------
	//------------------------ ISD ----------------------------------------------------------------------------------
//-------------------------kill mutants for ISD 1-7 operator---(OK)---

// left:  0
// kill others:: IPC(7),OMR(2)


public String test14(){ // ISD_1 IPC_1  OMR_1 OMR_2 
   IllegalFieldValueException le1 = new IllegalFieldValueException(DateTimeFieldType.dayOfYear(),1,2,365);
   return le1.getMessage();  
 }

 public String test15(){ // ISD_3 IPC_3  OMR_1 OMR_2 
   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),1,2,365);
   return le1.getMessage();  
 }

 public String test16(){ // ISD_4 IPC_4  OMR_1 OMR_2 
   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),1,2,365);
	IllegalFieldValueException le2 = new IllegalFieldValueException(le1.getFieldName(),1,2,365);
   return le2.getMessage();  
 }

 public String test17(){ // ISD_5 IPC_5 OMR_1 OMR_2
   IllegalFieldValueException le1 = new IllegalFieldValueException(DateTimeFieldType.dayOfYear(),"problem");
   return le1.getMessage();  
 }
 
 public String test18(){ // ISD_6 IPC_6  OMR_1 OMR_2 
   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),"problem");
   return le1.getMessage();  
 }
 
 public String test19(){ // ISD_7 IPC_7  OMR_1 OMR_2 
   IllegalFieldValueException le1 = new IllegalFieldValueException(DurationFieldType.seconds(),1,2,365);
	IllegalFieldValueException le2 = new IllegalFieldValueException(le1.getFieldName(),"problem");
   return le2.getMessage();  
 }*/
	//------------------------ ISD ----------------------------------------------------------------------------------


/*	public static void main(String[] args){
		  IllegalFieldValueException le1 = new IllegalFieldValueException(null, null,null);
	    le1.prependMessage(null);  
		System.out.println(le1.getMessage());
		System.out.println(le1.getFieldName());
		System.out.println(le1.getIllegalStringValue());
	}*/
}