package org.joda.time;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.*;
import java.util.Date;
import java.util.HashSet;
import java.util.Locale;
import java.util.Set;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.chrono.ISOChronology;
import org.joda.time.convert.ConverterManager;
import org.joda.time.convert.PartialConverter;
import org.joda.time.field.AbstractReadableInstantFieldProperty;
import org.joda.time.field.FieldUtils;
import org.joda.time.format.DateTimeFormat;
import org.joda.time.DateTimeUtils;
import org.joda.time.Chronology;
import org.joda.time.chrono.*;

import org.joda.time.LocalTime;
import org.joda.time.DateTimeFieldType;
import org.joda.time.*;

public class LocalDateTest{

	Date d1 = new Date();
	DateTimeUtils dtu = new DateTimeUtils();
 

/*
public static void main(String[] args){
	/*	System.out.println("timezone: " + DateTimeZone.forID("America/Los_Angeles"));
		System.out.println("chronology: " + ISOChronology.getInstance(DateTimeZone.forID("America/Los_Angeles")));
	//	LocalDate ld = new LocalDate(DateTimeZone.forID("America/Los_Angeles"));
		LocalDate ld = new LocalDate(1990, 10, 12, ISOChronology.getInstance(DateTimeZone.forID("America/Los_Angeles")));
		System.out.println("d" + ld.getChronology());
	//	LocalDate ld = new LocalDate(DateTimeZone.forID("America/Los_Angeles"));
		System.out.println(ld1.getLocalMillis());
		LocalDate ld2 = new LocalDate(DateTimeZone.forID("Europe/Paris"));
		System.out.println(ld2.getChronology());
		System.out.println(ld2.getLocalMillis());
		*/
	/*	System.out.println(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		System.out.println(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		System.out.println(ld.getChronology());
		System.out.println(ld.getLocalMillis());
		LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		System.out.println(ld1.getChronology());*/
	/*	LocalDate ld = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), BuddhistChronology.getInstance());
		System.out.println(ld.getLocalMillis());
		System.out.println(ld.getChronology());
		LocalDate ld1 = new LocalDate(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), GregorianChronology.getInstance(null, 4));
		System.out.println(ld1.getLocalMillis());
		LocalDate ld2 = new LocalDate(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), (AssembledChronology)GregorianChronology.getInstance(null, 4));
		System.out.println(ld2.getLocalMillis());
		ObjectOutputStream out = new ObjectOutputStream(new FileOutputStream("test1.dat")); 
		ld.writeObject(in);
		 LocalDate ld1 = new LocalDate(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		System.out.println(ld1.getChronology());
		System.out.println(ld1.getLocalMillis());*/
	/*	LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		LocalDate.Property p = new LocalDate.Property(ld1, BuddhistChronology.getInstanceUTC().year());
		System.out.println(p.getChronology());
			LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	LocalTime lt = new LocalTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	return ld.toLocalDateTime(lt).toString();
LocalDate ld = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(200, 10, 01, 01));
System.out.println(ld.getYearOfEra());
System.out.println(ld.getYear());
	 LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 02, 11, 00));
	LocalDate.Property p = new LocalDate.Property(ld1, BuddhistChronology.getInstanceUTC().yearOfEra());
	  System.out.println(p.withMaximumValue().toString());   
	   System.out.println(p.getMaximumValue());
	  System.out.println(p.getMaximumValueOverall());  
	   System.out.println(p.withMinimumValue().toString()); 
	     System.out.println(p.getMinimumValue()); 
	      System.out.println(p.getMinimumValueOverall()); 
		  	LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	 System.out.println(ld.get(DateTimeFieldType.dayOfYear()));*/
//IOD
/*	LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2001, 10, 01, 00), ISOChronology.getInstanceUTC());
	  LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 00), ISOChronology.getInstanceUTC());
	  System.out.println(ld1.equals(ld));
	  System.out.println(ld1 == ld);
	  System.out.println(ld1.getLocalMillis());
	  System.out.println(ld.getLocalMillis());

	   System.out.println(ld.size());
	   DateTimeField [] fields = ld.getFields();
	   int [] values = ld.getValues();
	    for (int i = 0; i < ld.size(); i++) {
           System.out.println( fields[i].toString() + values[i]);
		}
	   System.out.println(ld1.size());
	   	   DateTimeField [] fields1 = ld1.getFields();
	   int [] values1 = ld1.getValues();
	    for (int i = 0; i < ld1.size(); i++) {
           System.out.println( fields1[i].toString() + values1[i]);
		}
		 System.out.println( fields[0] == fields1[0]);
		 System.out.println( fields[0].toString().equals(fields1[0].toString()));

System.out.println(DateTimeUtils.currentTimeMillis());
//LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(1900, 01, 01, 2001), ISOChronology.getInstanceUTC());
LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(1900, 01, 01, 11, 06, 30, 20), BuddhistChronology.getInstanceUTC());
      String st = "yyyy-MM-dd'T'HH:mm:ss.SSSZZ";
	  Locale lc = new Locale("ja", "JP");
	   System.out.println(ld1.toString(st,Locale.JAPANESE));
	   System.out.println(ld1.toString(st));
}
*/

//Below 19 test cases for PCI
//------------------------ PCI ----------------------------------------------------------------------------------

 public long test1(){   
	LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	return ld.getLocalMillis();
  }
  public long test2(){   
	LocalDate ld = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), BuddhistChronology.getInstanceUTC());
	return ld.getLocalMillis();
  }
  public String test3(){   
	LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	return ld.getField(0, ISOChronology.getInstanceUTC()).toString();
  }
  public String test4(){   
	LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	return ld.getField(1, ISOChronology.getInstanceUTC()).toString();
  }
  public String test5(){   
	LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	return ld.getField(2, ISOChronology.getInstanceUTC()).toString();
  }
  public Boolean test6(){
	  LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	  LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), BuddhistChronology.getInstanceUTC());
	  return ld.equals(ld1);
  }
  public Boolean test7(){
	  LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	  LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), BuddhistChronology.getInstanceUTC());
	  return ld1.equals(ld);
  }
  public int test8(){
	  LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	  LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), BuddhistChronology.getInstanceUTC());
	  return ld1.compareTo(ld);
  }
  public int test9(){
	  LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	  LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), BuddhistChronology.getInstanceUTC());
	  return ld.compareTo(ld1);
  }
  public String test10(){
	 LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	 return ld.toDateTimeAtStartOfDay(null).toString();
  }
  public String test11(){
	 LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	 return ld.withLocalMillis(ISOChronology.getInstanceUTC().getDateTimeMillis(2010, 10, 01, 01)).toString();
  }

  public long test12(){   
	DateTime dt = new DateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	LocalDate ld = new LocalDate(dt);
	return ld.getLocalMillis();
  }
  public long test13(){   
	DateTime dt = new DateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	LocalDate ld = new LocalDate(dt, GregorianChronology.getInstanceUTC());
	return ld.getLocalMillis();
  }
  public boolean test14(){   
	DateTime dt = new DateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	LocalDate ld = new LocalDate(dt, GregorianChronology.getInstanceUTC());
	return ld.isSupported(DurationFieldType.seconds());
  }
  public boolean test15(){
	 LocalDate ld = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	 return ld.isSupported(DurationFieldType.millis());
  }
  public String test16(){
	LocalDate ld = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), BuddhistChronology.getInstanceUTC());
	 return ld.toDateTimeAtStartOfDay(null).toString();
  }
  public String test17(){   
	LocalDate ld = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), BuddhistChronology.getInstanceUTC());
	return ld.withLocalMillis(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01)).toString();
  }
  public long test18(){   
	DateTime dt = new DateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	LocalDate ld = new LocalDate(dt, DateTimeZone.getDefault());
	return ld.getLocalMillis();
  }
  public long test19(){   
	DateTime dt = new DateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), BuddhistChronology.getInstanceUTC());
	LocalDate ld = new LocalDate(dt, DateTimeZone.getDefault());
	return ld.getLocalMillis();
  }

  //------------------------ PCI ----------------------------------------------------------------------------------

  //------------------------ EAM ----------------------------------------------------------------------------------	
public String test20(){   // EAM-1,2,10-21 (ok)
	 LocalDate ld1 = new LocalDate();
     SimpleDateFormat bartDateFormat = new SimpleDateFormat("yyyy-MM-dd");  
     String dateStringToParse = "2007-07-12"; 
	 try{
		 d1 = bartDateFormat.parse(dateStringToParse); 
	 }
	 catch (Exception e){}; 
	 return ld1.fromDateFields(d1).toString();   //P-5
  }

  public String test21(){   // EAM_23-25 + EAM_27-30 + EAM_32-52 + OMR_2 (ok)
	   LocalDate ld1 = new LocalDate();
       DateTimeZone dtz = dtu.getZone(null);
	   return ld1.toDateTimeAtMidnight(dtz).toString(); //P22
  }
  public DateMidnight test22(){   // EAM_53-55 + EAM_57-82 + OMR_4 (ok)
	 LocalDate ld1 = new LocalDate();
      DateTimeZone dtz = dtu.getZone(null);
	   return ld1.toDateMidnight(dtz); //P25
  }
public String test23(){   // EAM_23-25 + EAM_27-30 + EAM_32-52 + OMR_2 (ok)
	   LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 01, 01, 00));
       DateTimeZone dtz = dtu.getZone(null);
	   return ld1.toDateTimeAtMidnight(dtz).toString(); //P22
  }
  public String test24(){   
	   LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(200, 01, 01, 00));
       DateTimeZone dtz = dtu.getZone(null);
	   return ld1.toDateTimeAtMidnight(dtz).toString(); 
  }
  public String test25(){   
	 LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(200, 01, 01, 00));
	 LocalDate.Property p = new LocalDate.Property(ld1, BuddhistChronology.getInstanceUTC().year());
	 return p.withMaximumValue().toString(); 
  }
  public String test26(){ 
	 LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(200, 01, 01, 00));
	 LocalDate.Property p = new LocalDate.Property(ld1, BuddhistChronology.getInstanceUTC().year());
	 return p.withMinimumValue().toString(); 
  }
  public String test27(){   
	 LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 01, 01, 00));
     DateTimeZone dtz = dtu.getZone(null);
	 return ld1.toDateMidnight(dtz).toString(); 
  }
  public String test28(){   
	 LocalDate ld1 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(200, 01, 01, 00));
     DateTimeZone dtz = dtu.getZone(null);
	 return ld1.toDateMidnight(dtz).toString(); 
  }
  public String test29(){   
	LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(1200, 02, 01, 00));
	LocalDate.Property p = new LocalDate.Property(ld1, ISOChronology.getInstanceUTC().dayOfMonth());
	return p.withMaximumValue().toString(); 
  }

  //------------------------ EAM ----------------------------------------------------------------------------------	

  //------------------------ IOD ----------------------------------------------------------------------------------	
public int test30(){   
	LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	return ld.get(DateTimeFieldType.dayOfYear());
  }
  //------------------------ IOD ----------------------------------------------------------------------------------	
   //------------------------ PPD ----------------------------------------------------------------------------------
   
   //------------------------ PPD ----------------------------------------------------------------------------------
  //------------------------ OMR ----------------------------------------------------------------------------------

//This test case should be dealt separately since it returns the current time so that 
//the result every time returned is different
//But this is the correct test because it causes a stackoverflowerror
/*  public DateTime test31(){   // OMR-3  (ok)
  LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), ISOChronology.getInstanceUTC());
      DateTimeZone dtz = dtu.getZone(null);
	   return ld1.toDateTimeAtCurrentTime(dtz); //P23
  }*/
 
  public String test32(){  
  LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), ISOChronology.getInstanceUTC());
      DateTimeZone dtz = dtu.getZone(null);
	   return ld1.toInterval(dtz).toString(); //P28
  }
  public String test33(){   
  LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), ISOChronology.getInstanceUTC());
      String st = "2010-08-08";
	   return ld1.toString(st); //P54
  }
  public String test34(){  
  LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), ISOChronology.getInstanceUTC());
      String st = "2010-08-08";
	   Locale lc = new Locale("CHINESE");
	   return ld1.toString(st,lc); //P54
  }

  public DateTime test35(){   
    LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01), ISOChronology.getInstanceUTC());
	  DateTimeZone dtz = dtu.getZone(null);
	LocalTime lt = new LocalTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));		
	   return ld1.toDateTime(lt,dtz); //P27
  }
   //------------------------ OMR ----------------------------------------------------------------------------------

   //-------------------------kill mutants for JSI1-4 operator 
// left: 0

 
 public long test36(){   // JSI_3 JSI_1 PCI_3-9 PCI_11-14 PCI_17-23 PCI_25-28 PCI_32-38 PCI_4 PCI_40-43 (ok)
	LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	LocalDate.Property P1 = new LocalDate.Property(ld1,ISOChronology.getInstanceUTC().year());
	LocalDate ld2 = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(1988, 10, 01, 01));
	LocalDate.Property P2 = new LocalDate.Property(ld2, BuddhistChronology.getInstanceUTC().year());
	return  P1.getMillis();  //P 57
 }

 public DateTimeField test37(){   // JSI_4 PCI_3-9 PCI_11-14 PCI_17-23 PCI_25-28 PCI_32-43 (ok)
	LocalDate ld1 = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
	LocalDate.Property P1 = new LocalDate.Property(ld1,ISOChronology.getInstanceUTC().year());
	LocalDate.Property P2 = new LocalDate.Property(ld1, BuddhistChronology.getInstanceUTC().monthOfYear());
	return  P1.getField();  //P 57
 }
   //------------------------ JSI ----------------------------------------------------------------------------------
}
