package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class MinutesTest
{
	//------------------------  EAM ----------------------------------------------------------------------------------
	public String test1(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 1, 1, 3, 4, 5, 6);
		Interval interval = new Interval(start, end);
		return Minutes.minutesIn(interval).toString();
	}
	public String test2(){
		return Minutes.parseMinutes("PT3M").toString();
	}
	public int test3(){
		Minutes minutes = Minutes.minutes(3);
		return minutes.getMinutes();
	}
	//------------------------  EAM ----------------------------------------------------------------------------------
	//------------------------  PCI ----------------------------------------------------------------------------------
/*	public String test4(){
		Minutes minutes = Minutes.minutes(3);
		LocalTime start = new LocalTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 00), ISOChronology.getInstanceUTC());
		LocalTime end = new LocalTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2001, 10, 01, 00), ISOChronology.getInstanceUTC());
		return minutes.minutesBetween(start, end).toString();
	}
	public String test5(){
		Minutes minutes = Minutes.minutes(3);
		LocalTime start = new LocalTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 00), BuddhistChronology.getInstanceUTC());
		LocalTime end = new LocalTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2001, 10, 01, 00), BuddhistChronology.getInstanceUTC());
		return minutes.minutesBetween(start, end).toString();
	}*/
	//------------------------  PCI ----------------------------------------------------------------------------------
}