package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class MonthsTest
{
	//------------------------  EAM ----------------------------------------------------------------------------------
	public String test1(){
		DateTime start = new DateTime(2004, 1, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 3, 1, 3, 4, 5, 6);
		Interval interval = new Interval(start, end);
		return Months.monthsIn(interval).toString();
	}
	public String test2(){
		return Months.parseMonths("P3M").toString();
	}
	public int test3(){
		Months months = Months.months(3);
		return months.getMonths();
	}
	//------------------------  EAM ----------------------------------------------------------------------------------
	
	//------------------------  PCI ----------------------------------------------------------------------------------
	public String test4(){
		Months months = Months.months(3);
		LocalDate start = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 00), ISOChronology.getInstanceUTC());
		LocalDate end = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2001, 10, 01, 00), ISOChronology.getInstanceUTC());
		return months.monthsBetween(start, end).toString();
	}
	public String test5(){
		Months months = Months.months(3);
		LocalDate start = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 00), BuddhistChronology.getInstanceUTC());
		LocalDate end = new LocalDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2001, 10, 01, 00), BuddhistChronology.getInstanceUTC());
		return months.monthsBetween(start, end).toString();
	}
	//------------------------  PCI ----------------------------------------------------------------------------------
}