package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class MutableDateTimeTest
{
	//------------------------ EAM ----------------------------------------------------------------------------------
/*	public long test1(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		mdt.setDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		return mdt.getMillis();
	}
	//------------------------ EAM ----------------------------------------------------------------------------------
	//------------------------ IOP ----------------------------------------------------------------------------------
	public long test2(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 23, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().secondOfMinute(), 1);
		return mdt.getMillis();
	}
	//------------------------ IOP ----------------------------------------------------------------------------------

	//------------------------ EMM ----------------------------------------------------------------------------------
	//For EMM1 and 2, seems like equivalent mutants
/*	public long testEMM2(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 23, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().secondOfMinute(), 1);
		return mdt.getMillis();
	}
	public String testEMM2(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(ISOChronology.getInstanceUTC().year(), 2);
		return mdt.toString();
	}*/
	
/*	public long test3(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 23, 34, 56, 789));
		DateTimeZone zone = DateTimeZone.forID("+01:00");
		mdt.setZoneRetainFields(zone);
		return mdt.getMillis();
	}
	public long test4(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 90));
		mdt.set(DateTimeFieldType.millisOfDay(), 6);
		return mdt.getMillis();
	}
	public String test5(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.set(DateTimeFieldType.dayOfMonth(), 3);
		return mdt.toString();
	}
	public String test6(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.add(DurationFieldType.seconds(), 3);
		return mdt.toString();
	}
	public String test7(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.add(DurationFieldType.days(), 3);
		return mdt.toString();
	}
	public String test8(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setYear(3);
		return mdt.toString();
	}
	public String test9(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.addYears(3);
		return mdt.toString();
	}
	public String test10(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setWeekyear(3);
		return mdt.toString();
	}
	public String test11(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setMonthOfYear(3);
		return mdt.toString();
	}
	public String test12(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.addWeekyears(3);
		return mdt.toString();
	}
	public String test13(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.addMonths(3);
		return mdt.toString();
	}
	public String test14(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setWeekOfWeekyear(3);
		return mdt.toString();
	}
	public String test15(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.addWeeks(3);
		return mdt.toString();
	}
	public String test16(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 03, 3, 34, 56, 789));
		mdt.setMillis(mdt1);
		return mdt.toString();
	}
	public String test17(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 44, 56, 789));
		mdt.setMillis(mdt1);
		return mdt.toString();
	}
	public String test18(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setDayOfYear(3);
		return mdt.toString();
	}
	public String test19(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setDayOfMonth(3);
		return mdt.toString();
	}
	public String test20(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setDayOfWeek(3);
		return mdt.toString();
	}
	public String test21(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.addDays(3);
		return mdt.toString();
	}
	public String test22(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setHourOfDay(4);
		return mdt.toString();
	}
	public String test23(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.addHours(3);
		return mdt.toString();
	}
	public String test24(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setMinuteOfDay(3);
		return mdt.toString();
	}
	public String test25(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.addMinutes(3);
		return mdt.toString();
	}
	public String test26(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setSecondOfDay(3);
		return mdt.toString();
	}
	public String test27(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 1, 1, 0, 0, 0, 0);
		Duration dur = new Duration(start, end);
		mdt.add(dur);
		return mdt.toString();
	}
	public String test28(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2004, 12, 25, 5, 6, 7, 0);
		Duration dur = new Duration(start, end);
		mdt.add(dur);
		return mdt.toString();
	}
	public String test29(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setSecondOfMinute(3);
		return mdt.toString();
	}
	public String test30(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.addSeconds(3);
		return mdt.toString();
	}
	public String test31(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setMillisOfDay(3);
		return mdt.toString();
	}
	public String test32(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setMillisOfSecond(3);
		return mdt.toString();
	}
	public String test33(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.addMillis(3);
		return mdt.toString();
	}
	public String test34(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setDate(3);
		return mdt.toString();
	}
	public String test35(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 12, 22, 13, 34, 56, 789));
		mdt.setDate(mdt1);
		return mdt.toString();
	}
	public String test36(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setDate(2008,1,2);
		return mdt.toString();
	}
	public String test37(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		return mdt.toString();
	}	
	//NOT USED
/*	public String testemm38(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2001, 10, 02, 3, 34, 56, 789));
		return mdt.toString();
	}*//*
public String test38(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().minuteOfHour());
		return p.set(3).toString();
	}
	
	public String test39(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2003, 10, 12, 3, 34, 56, 789));
		mdt.setTime(mdt1);
		return mdt.toString();
	}
	public String test40(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setTime(3, 14, 6, 789);
		return mdt.toString();
	}
	public String test41(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setDateTime(2000, 10, 02, 3, 14, 6, 789);
		return mdt.toString();
	}
	public String test42(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setDateTime(2000, 11, 12, 3, 34, 56, 789);
		return mdt.toString();
	}
	public String test43(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().year());
		return p.add(3444).toString();
	}
	public String test44(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().minuteOfHour());
		return p.add(4).toString();
	}

	public String test45(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().year());
		long l1 = 3444444L;
		return p.add(l1).toString();
	}
	public String test46(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().year());
		return p.addWrapField(344444).toString();
	}
	public String test47(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().minuteOfHour());
		return p.addWrapField(4).toString();
	}
	public String test48(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().year());
		return p.set(3444).toString();
	}

	public String test49(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		String st = "11";
		Locale lc = new Locale("ja", "JP");
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().hourOfDay());
		return p.set(st, lc).toString();
	}
	public String test50(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().year());
		return p.roundFloor().toString();
	}
	public String test51(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().year());
		return p.roundCeiling().toString();
	}
	public String test52(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().year());
		return p.roundHalfFloor().toString();
	}
	public String test53(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().year());
		return p.roundHalfCeiling().toString();
	}
	public String test54(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().year());
		return p.roundHalfEven().toString();
	}
	public String test55(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setMinuteOfHour(3);
		return mdt.toString();
	}
	public String test56(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2004, 12, 25, 6, 13, 55, 0);		
		Period period = new Period(start, end);
		mdt.add(period, 1);
		return mdt.toString();
	}
	public String test57(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 1, 1, 0, 0, 0, 0);		
		Period period = new Period(start, end);
		mdt.add(period, 1);
		return mdt.toString();
	}
	public String test58(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().minuteOfHour());
		long l1 = 4L;
		return p.add(l1).toString();
	}
	public String test59(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		String st = "11";
		Locale lc = new Locale("ja", "JP");
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().dayOfMonth());
		return p.set(st, lc).toString();
	}
	//------------------------ EMM ----------------------------------------------------------------------------------

	//------------------------ IPC ----------------------------------------------------------------------------------
	public int test60(){
		DateTimeZone zone = DateTimeZone.forID("+01:00");
		MutableDateTime mdt = new MutableDateTime(zone);
		return mdt.getHourOfDay();
	}
	public long test61(){
		MutableDateTime mdt = new MutableDateTime(2000, 10, 02, 3, 34, 56, 789, DateTimeZone.getDefault());
		return mdt.getMillis();
	}
	public long test62(){
		MutableDateTime mdt = new MutableDateTime(2000, 10, 02, 3, 34, 56, 789, ISOChronology.getInstanceUTC());
		return mdt.getMillis();
	}
	public int test63(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC());
		return mdt.getYear();
	}
	public long test64(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789), DateTimeZone.getDefault());
		return mdt.getMillis();
	}
	public long test65(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789), ISOChronology.getInstanceUTC());
		return mdt.getMillis();
	}
	public long test66(){
		DateTime dt = new DateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		MutableDateTime mdt = new MutableDateTime(dt);
		return mdt.getMillis();
	}
	public long test67(){
		DateTime dt = new DateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		MutableDateTime mdt = new MutableDateTime(dt, DateTimeZone.getDefault());
		return mdt.getMillis();
	}
	public long test68(){
		DateTime dt = new DateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		MutableDateTime mdt = new MutableDateTime(dt, ISOChronology.getInstanceUTC());
		return mdt.getMillis();
	}
	public long test69(){
		MutableDateTime mdt = new MutableDateTime(2000, 10, 02, 3, 34, 56, 789);
		return mdt.getMillis();
	}
	//------------------------ IPC ----------------------------------------------------------------------------------

	//------------------------ ISI ----------------------------------------------------------------------------------

	public String test70(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().hourOfDay(), 2);
		mdt.setMillis(mdt1);
		return mdt.toString();
	}*/
	public String test71(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().hourOfDay(), 2);
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2004, 12, 25, 5, 6, 7, 0);
		Duration dur = new Duration(start, end);
		mdt.add(dur);
		return mdt.toString();
	}
/*	public String test72(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().hourOfDay(), 2);
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2004, 12, 25, 2, 2, 2, 0);		
		Period period = new Period(start, end);
		mdt.add(period, 1);
		return mdt.toString();
	}
	public String test73(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().dayOfMonth(), 2);
		DateTimeZone zone = DateTimeZone.forID("+01:00");
		mdt.setZoneRetainFields(zone);
		return mdt.toString();
	}
	public String test74(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().secondOfMinute(), 2);
		mdt.set(DateTimeFieldType.millisOfSecond(), 18);
		return mdt.toString();
	}
	public String test75(){
		MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().secondOfMinute(), 2);
		mdt.add(DurationFieldType.millis(), 55);
		return mdt.toString();
	}
	public String test76(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().yearOfCentury(), 2);
		mdt.setYear(55);
		return mdt.toString();
	}
	public String test77(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().yearOfCentury(), 2);
		mdt.addYears(55);
		return mdt.toString();
	}
	public String test78(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().weekyearOfCentury(), 2);
		mdt.setWeekyear(50);
		return mdt.toString();
	}
	public String test79(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().yearOfCentury(), 2);
		mdt.addWeekyears(5);
		return mdt.toString();
	}
	public String test80(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().year(), 2);
		mdt.setMonthOfYear(2);
		return mdt.toString();
	}
	public String test81(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().year(), 2);
		mdt.addMonths(1);
		return mdt.toString();
	}
	public String test82(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().weekyear(), 2);
		mdt.setWeekOfWeekyear(10);
		return mdt.toString();
	}
	public String test83(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().weekyear(), 2);
		mdt.addWeeks(1);
		return mdt.toString();
	}
	public String test84(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().year(), 2);
		mdt.setDayOfYear(110);
		return mdt.toString();
	}
	public String test85(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().monthOfYear(), 2);
		mdt.setDayOfMonth(11);
		return mdt.toString();
	}
	public String test86(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().monthOfYear(), 2);
		mdt.setDayOfWeek(7);
		return mdt.toString();
	}
	public String test87(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().monthOfYear(), 2);
		mdt.addDays(7);
		return mdt.toString();
	}
	public String test88(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().dayOfYear(), 2);
		mdt.setHourOfDay(7);
		return mdt.toString();
	}
	public String test89(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().dayOfYear(), 2);
		mdt.addHours(7);
		return mdt.toString();
	}
	public String test90(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().hourOfDay(), 2);
		mdt.setMinuteOfDay(7);
		return mdt.toString();
	}
	public String test91(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().hourOfDay(), 2);
		mdt.setMinuteOfHour(7);
		return mdt.toString();
	}
	public String test92(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().hourOfDay(), 2);
		mdt.addMinutes(7);
		return mdt.toString();
	}
	public String test93(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().minuteOfDay(), 2);
		mdt.setSecondOfDay(7);
		return mdt.toString();
	}
	public String test94(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().minuteOfHour(), 2);
		mdt.setSecondOfMinute(7);
		return mdt.toString();
	}
	public String test95(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().minuteOfHour(), 2);
		mdt.addSeconds(7);
		return mdt.toString();
	}
	public String test96(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().secondOfDay(), 2);
		mdt.setMillisOfDay(7);
		return mdt.toString();
	}
	public String test97(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().secondOfMinute(), 2);
		mdt.setMillisOfSecond(7);
		return mdt.toString();
	}
	public String test98(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().secondOfMinute(), 2);
		mdt.addMillis(7);
		return mdt.toString();
	}
	public String test99(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().year(), 2);
		mdt.setDate(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 11, 02, 3, 34, 56, 789));
		return mdt.toString();
	}
	public String test100(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().dayOfMonth(), 2);
		mdt.setTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 44, 56, 789));
		return mdt.toString();
	}
	public String test101(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().dayOfMonth(), 2);
		mdt.setTime(3, 44, 56, 789);
		return mdt.toString();
	}
	public String test102(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().dayOfMonth(), 2);
		mdt.setDateTime(2000, 10, 02, 3, 44, 56, 789);
		return mdt.toString();
	}
	//NOT USED
	/*	
	public String testisi76(){
		MutableDateTime mdt = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789));
		mdt.setRounding(BuddhistChronology.getInstanceUTC().hourOfDay(), 2);
		DateTimeZone zone = DateTimeZone.forID("+01:00");
		mdt.setZone(zone);
		return mdt.toString();
	}*/
	//------------------------ ISI ----------------------------------------------------------------------------------

	//------------------------ OAN 1-3---------------------(ok)-----------------------------------------------------------
	//  left: 0
	//  kill others: OMR(3)
	
/*	  public int test103(){ //
		MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 11));
		 LocalTime ld1 = new LocalTime(ISOChronology.getInstanceUTC());
		mdt1.setRounding(ld1.getField(2, ISOChronology.getInstanceUTC()),2);
		 mdt1.setRounding(ld1.getField(2, ISOChronology.getInstanceUTC()));
		return mdt1.getRoundingMode(); 
	  }

	 public DateTimeField test104(){//
		MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 02, 01, 8, 10, 10, 11));
		 MutableDateTime.Property P1 = new MutableDateTime.Property(mdt1,ISOChronology.getInstanceUTC().year());
		Period p = new Period(0L);
		mdt1.add(p);
		 return P1.getField();
	  }

	  //-------------------------kill mutants for JSI1-4 operator ----(OK)
		// result:
		//  test 1  kill  ==> JSI_2 OMR_1 
		//  test 2  kill  ==> JSI_4 
		//  test 3  kill  ==> JSI_1 OAN_1 
		//  test 4  kill  ==> JSI_3 
		// left: 0 
		// kill others:: OAN(1),OMR(1)

		
		 public DateTimeField test105(){ // 
		   MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 8, 10, 10, 11));
			MutableDateTime mdt2 = new MutableDateTime(GregorianChronology.getInstanceUTC().getDateTimeMillis(2010, 10, 01, 8, 10, 10, 11)); 
			LocalTime ld1 = new LocalTime(ISOChronology.getInstanceUTC());
			mdt1.setRounding(ld1.getField(1, ISOChronology.getInstanceUTC()));
			mdt2.setRounding(ld1.getField(2, ISOChronology.getInstanceUTC()));
		   return mdt1.getRoundingField();  
		 }

		 public Chronology test106(){ //
		   MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC());
			MutableDateTime mdt2 = new MutableDateTime(BuddhistChronology.getInstanceUTC());
		   MutableDateTime.Property P1 = new MutableDateTime.Property(mdt1,ISOChronology.getInstanceUTC().year());
		   MutableDateTime.Property P2 = new MutableDateTime.Property(mdt2,BuddhistChronology.getInstanceUTC().monthOfYear());
			return  P1.getChronology();  
		 }

 public DateTimeField test107(){ // 
    MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 02, 01, 8, 10, 10, 11));
    MutableDateTime.Property P1 = new MutableDateTime.Property(mdt1,ISOChronology.getInstanceUTC().year());
    MutableDateTime.Property P2 = new MutableDateTime.Property(mdt1, BuddhistChronology.getInstanceUTC().monthOfYear());
    return  P1.getField();  
 }

	  //-------------------------kill mutants for PCI1-95 operator ----(ok)---

//		result:
		//  test 1  kill  ==> IPC_2 PCI_10 PCI_11 PCI_12 PCI_13 PCI_14 PCI_3 PCI_4 PCI_6 PCI_7 PCI_8 PCI_9 
		//  test 2  kill  ==> PCI_17 PCI_18 PCI_19 PCI_20 PCI_21 PCI_22 PCI_23 PCI_25 PCI_26 PCI_27 PCI_28 PCI_5 
		//  test 3  kill  ==> EAM_1 EAM_10 EAM_11 EAM_12 EAM_13 EAM_14 EAM_15 EAM_16 EAM_17 EAM_18 EAM_2 EAM_3 EAM_4 EAM_5 EAM_6 EAM_7 EAM_8 EAM_9 EMM_61 IPC_3 PCI_31 PCI_32 PCI_33 PCI_34 PCI_35 PCI_36 PCI_37 PCI_39 PCI_40 PCI_41 PCI_42 
		//  test 4  kill  ==> EMM_62 EMM_64 
		//  test 5  kill  ==> EMM_68 EMM_69 EMM_70 PCI_45 PCI_46 PCI_47 PCI_48 PCI_49 PCI_50 PCI_51 PCI_53 PCI_54 PCI_55 PCI_56 
		//  test 6  kill  ==> PCI_60 PCI_63 PCI_64 PCI_65 PCI_66 PCI_67 PCI_78 PCI_79 PCI_80 PCI_81 PCI_82 PCI_83 
		//  test 7  kill  ==> PCI_72 PCI_77 
		// equivalent: 18
		// left:  18 (include?---24,38,52)
		// kill others:: IPC(2),EAM(18),EMM(6)


			
		public Chronology test108(){ //
			MutableDateTime mdt1 = new MutableDateTime(GregorianChronology.getInstanceUTC());
			MutableDateTime.Property P1 = new MutableDateTime.Property(mdt1,GregorianChronology.getInstanceUTC().year());
			DateTimeZone dtz = DateTimeZone.UTC;
			mdt1.setZone(dtz);
		   return P1.getChronology();  
		 }


		 public Chronology test109(){ // 
			MutableDateTime mdt1 = new MutableDateTime(DateTimeZone.UTC);
			MutableDateTime.Property P1 = new MutableDateTime.Property(mdt1,GregorianChronology.getInstanceUTC().year());
		    DateTimeZone dtz = DateTimeZone.forID("+01:00");
			mdt1.setZone(dtz);
		    return P1.getChronology();  
		 }
		 
		public String test110(){ //  
			MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2010, 10, 01, 8, 10, 10, 11));
			MutableDateTime mdt2 = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2010, 10, 01, 8, 10, 10, 11), BuddhistChronology.getInstanceUTC()); 	  
			mdt1.setDate(mdt2); 
		    return mdt1.toString(); 
		 }
		  
		public String test111(){ //    
			MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2010, 10, 01, 8, 10, 10, 11));
			MutableDateTime mdt2 = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2010, 10, 01, 8, 10, 10, 11), BuddhistChronology.getInstanceUTC()); 	  
			mdt1.setTime(mdt2); 
		    return mdt1.toString(); 
		 }
			
		 public String test112(){ //    
			MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2010, 10, 01, 8, 10, 10, 11));
			mdt1.property(DateTimeFieldType.hourOfDay()); 
		    return mdt1.toString(); 
		 }

		 public String test113(){ //    
			MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2010, 10, 01, 8, 10, 10, 11));
			mdt1.property(DateTimeFieldType.monthOfYear());  
		    return mdt1.toString();  
		 }
		 public Chronology test114(){ // 
			MutableDateTime mdt1 = new MutableDateTime(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 13, 34, 56, 789),BuddhistChronology.getInstanceUTC());
			MutableDateTime.Property P1 = new MutableDateTime.Property(mdt1,BuddhistChronology.getInstanceUTC().year());
			DateTimeZone dtz = DateTimeZone.forID("+01:00");
			mdt1.setZone(dtz);
		    return P1.getChronology();  
		 }
	
/*	public static void main(String[] args){
	/*	MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		System.out.println(mdt.getMillis());
		System.out.println(mdt);
		System.out.println(mdt.getDayOfMonth());
		mdt.setRounding(ISOChronology.getInstanceUTC().dayOfMonth(), 2);	
		//mdt.set(DateTimeFieldType.hourOfDay(), 2);
		System.out.println(mdt.getMillis());
		System.out.println(mdt);
		System.out.println(mdt.getDayOfMonth());

	/*	MutableDateTime mdt1 = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 23, 34, 56, 789));
		mdt1.setRounding(BuddhistChronology.getInstanceUTC().secondOfMinute());
		System.out.println(mdt1.getMillis());
		mdt1.setDate(mdt1.getMillis());
		System.out.println(mdt1.getMillis());*/
		/*	MutableDateTime mdt = new MutableDateTime(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		 String st = "11";
	  Locale lc = new Locale("ja", "JP");
	  /// System.out.println(ld1.toString(st,Locale.JAPANESE));
		MutableDateTime.Property p = new MutableDateTime.Property(mdt, ISOChronology.getInstanceUTC().hourOfDay());
		System.out.println(p.set(st, lc).toString());
	}*/
}