package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class YearMonthDayTest
{
	//------------------------  EAM ----------------------------------------------------------------------------------
/*	public String test1(){
		YearMonthDay ymd = new YearMonthDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		java.util.Date d1 = new Date(1990, 02, 20, 06, 10, 8);
		return ymd.fromDateFields(d1).toString();
	}
	public String test2(){
		YearMonthDay ymd = new YearMonthDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		return ymd.toLocalDate().toString();
	}
	public String test3(){
		YearMonthDay ymd = new YearMonthDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		DateTimeZone zone = DateTimeZone.forID("+01:00");
		return ymd.toDateTimeAtMidnight(zone).toString();
	}
	public String test4(){
		YearMonthDay ymd = new YearMonthDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		DateTimeZone zone = DateTimeZone.forID("+01:00");
		return ymd.toDateMidnight(zone).toString();
	}
	public String test5(){
		YearMonthDay ymd = new YearMonthDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 2, 02, 3, 34, 56, 789));
		YearMonthDay.Property ymdp = new YearMonthDay.Property(ymd, 2);
		return ymdp.withMaximumValue().toString();
	}
	public String test6(){
		YearMonthDay ymd = new YearMonthDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
		YearMonthDay.Property ymdp = new YearMonthDay.Property(ymd, 2);
		return ymdp.withMinimumValue().toString();
	}
	//------------------------  EAM ----------------------------------------------------------------------------------

	//------------------------  IPC ----------------------------------------------------------------------------------
	public int test7(){
		YearMonthDay ymd = new YearMonthDay(BuddhistChronology.getInstanceUTC());
		return ymd.getYear();
	}
	public String test8(){
		YearMonthDay ymd = new YearMonthDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 2, 02, 3, 34, 56, 789), ISOChronology.getInstanceUTC());
		return ymd.toString();
	}
	public String test9(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		YearMonthDay ymd = new YearMonthDay(start);
		return ymd.toString();
	}
	public String test10(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		YearMonthDay ymd = new YearMonthDay(start, ISOChronology.getInstanceUTC());
		return ymd.toString();
	}
	public String test11(){
		YearMonthDay ymd = new YearMonthDay(2004, 12, 25, ISOChronology.getInstanceUTC());
		YearMonthDay ymd1 = new YearMonthDay(ymd, ISOChronology.getInstanceUTC());
		return ymd1.toString();
	}
	//------------------------  IPC ----------------------------------------------------------------------------------
	//------------------------  OMR ----------------------------------------------------------------------------------
	public int test12(){
		DateTimeZone zone = DateTimeZone.forID("-05:00");
		YearMonthDay ymd = new YearMonthDay(2004, 12, 25, ISOChronology.getInstanceUTC());
		return ymd.toDateTimeAtCurrentTime(zone).getDayOfMonth();
	}
	public String test13(){
		DateTimeZone zone = DateTimeZone.forID("-05:00");
		YearMonthDay ymd = new YearMonthDay(2004, 12, 25, ISOChronology.getInstanceUTC());
		java.util.Date d1 = new Date(1990, 02, 20, 06, 10, 8);
		TimeOfDay tod = new TimeOfDay(d1);
		return ymd.toDateTime(tod, zone).toString();
	}
	public String test14(){
		DateTimeZone zone = DateTimeZone.forID("-05:00");
		YearMonthDay ymd = new YearMonthDay(2004, 12, 25, ISOChronology.getInstanceUTC());
		return ymd.toInterval(zone).toString();
	}
	//------------------------  OMR ----------------------------------------------------------------------------------
	//------------------------  PCI ----------------------------------------------------------------------------------
	public String test15(){
		YearMonthDay ymd = new YearMonthDay(2004, 12, 25, ISOChronology.getInstanceUTC());
		return ymd.getField(2, BuddhistChronology.getInstanceUTC()).toString();
	}*/
	public String test16(){
		YearMonthDay ymd = new YearMonthDay(2004, 12, 25, BuddhistChronology.getInstanceUTC());
		return ymd.getField(2, ISOChronology.getInstanceUTC()).toString();
	}
/*	public String test17(){
		YearMonthDay ymd = new YearMonthDay(2004, 12, 25, BuddhistChronology.getInstanceUTC());
		return ymd.withChronologyRetainFields(ISOChronology.getInstanceUTC()).toString();
	}
	public String test18(){
		YearMonthDay ymd = new YearMonthDay(2004, 12, 25, ISOChronology.getInstanceUTC());
		return ymd.withChronologyRetainFields(BuddhistChronology.getInstanceUTC()).toString();
	}
	//not used
/*	public String test33(){
		YearMonthDay ymd = new YearMonthDay(2004, 12, 25, ISOChronology.getInstanceUTC());
		DateTimeFieldType[] dtft = ymd.getFieldTypes();
		String s ="";
		for(int i = 0; i < dtft.length; i++){
			s = s + dtft[i];
		}
		return s;
	}*/
	//------------------------  PCI ----------------------------------------------------------------------------------
	/*public static void main(String[] args){
		//DateTimeZone zone = DateTimeZone.forID("-05:00");
		YearMonthDay ymd = new YearMonthDay(BuddhistChronology.getInstanceUTC());
		System.out.println(ymd.getYear());

	}*/
}